Package ru.bitel.bgbilling.plugins.dispatch.server.dao

# Class DispatchMessageDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<DispatchMessage>
ru.bitel.bgbilling.plugins.dispatch.server.dao.DispatchMessageDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class DispatchMessageDao
    extends ru.bitel.common.dao.AbstractIdDao<DispatchMessage>

DAO для работы с сообщениями рассылок напрямую. Вместо работы с этим DAO рекомендуется работать с `DispatchService`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchMessageDao​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addMessageStatistic​(DispatchMessageStatistic statistic)` | Добавление информации по отправленному сообщению: кому, когда, куда, за что
  `void` | `deleteByDispatch​(int id)` | Удаляет все сообщения данной рассылки
  `void` | `deleteMessageStatistic​(int id)` | Удаление отдельного элемента статитистики отправленных сообщений.
  `protected DispatchMessage` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<DispatchMessage>` | `getList​(int dispatchId, boolean onlyNotSent)` | Возвращает список сообщений для данной рассылки
  `DispatchMessageStatistic` | `getMessageStatistic​(int id)` | Получение одного единственного элемента статистики по его идентификатору.
  `void` | `getMessageStatisticList​(int contractId, int dispatchId, int messageId, int contactId, SearchResult<DispatchMessageStatistic> searchResult)` | Получение статистики по отправленным сообщениям.
  `protected void` | `updateImpl​(DispatchMessage b)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchMessageDao

    public DispatchMessageDao​(java.sql.Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl​(DispatchMessage b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<DispatchMessage>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected DispatchMessage getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<DispatchMessage>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getList

    public java.util.List<DispatchMessage> getList​(int dispatchId, boolean onlyNotSent) throws ru.bitel.bgbilling.common.BGException
    Возвращает список сообщений для данной рассылки
    Parameters:
      `dispatchId` - код рассылки
      `onlyNotSent` - если true - то выберет только неотправленные
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteByDispatch

    public void deleteByDispatch​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаляет все сообщения данной рассылки
    Parameters:
      `id` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addMessageStatistic

    public void addMessageStatistic​(DispatchMessageStatistic statistic) throws ru.bitel.bgbilling.common.BGException
    Добавление информации по отправленному сообщению: кому, когда, куда, за что
    Parameters:
      `statistic` - статистика отправленного сообщения
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageStatistic

    public DispatchMessageStatistic getMessageStatistic​(int id) throws ru.bitel.bgbilling.common.BGException
    Получение одного единственного элемента статистики по его идентификатору. Наверное, этот метод нужен в основном для тестов.
    Parameters:
      `id` - id элемента статистики
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageStatisticList

    public void getMessageStatisticList​(int contractId, int dispatchId, int messageId, int contactId, SearchResult<DispatchMessageStatistic> searchResult) throws ru.bitel.bgbilling.common.BGException
    Получение статистики по отправленным сообщениям.
    Parameters:
      `contractId` - код договора. Если не задан, то выводится статисктика по всем договорам
      `dispatchId` - код рассылки. Если не задан, то выводится статистика по всем рассылкам
      `messageId` - код сообщения. Если не задан, то выводится статисктика по всем сообщениям данного вида
      `contactId` - код контакта. Если не задан, то выводится статистика сообщений для данного контакта.
      `searchResult` - результат, содержащий список, страницы, период.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteMessageStatistic

    public void deleteMessageStatistic​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление отдельного элемента статитистики отправленных сообщений.
    Parameters:
      `id` - код элемента статистики
    Throws:
      `ru.bitel.bgbilling.common.BGException`